/*
	File:		MyApplication.h
	
	Contains:	My Application Shell.

	Written by:	John Wang

	Copyright:	 1994 by Apple Computer, Inc., all rights reserved.

	Change History (most recent first):

		<1>		03/14/94	JW		Re-Created for Universal Headers.

	To Do:
	
*/

#ifdef THINK_C
#define		applec
#endif

#define		kMAXCHANNELS		5
#define		STR_PREFSNAME		128

/* ------------------------------------------------------------------------- */

long		MyInitialize(void);
void		MyFinishup(void);
void		MyIdle(void);
long		MyDoCommand(short theMenu, short theItem);
long		MyYieldTime(long message);
void		MyAdjustMenus(void);

void		MyNew(void);
void		MyClose(void);

void		MySettings(short item);
void		MyResize(short item);
void		MySpecial(short item);
void		MyRecord(void);
void		MyDrag(WindowPtr theWindow, Point where);
void		MyUpdate(WindowPtr theWindow);
long		MyUpdateChannels(WindowPtr theWindow);

Boolean		GetCustomSize(short *width, short *height);

void		GetText(DialogPtr theDialog, short item, Str255 myStr);
void		SetText(DialogPtr theDialog, short item, Str255 myStr);
